/**
 * Copyright © VNG Realisatie 2024
 * Licensed under the EUPL
 */

@use "../theme";

.collapsible-container {
    .collapsible:last-of-type {
        border-bottom: 1px solid theme.$colorPaletteGray700;
    }
}

.collapsible {
    &__header {
        color: theme.$colorText;
        width: 100%;
        display: flex;
        background: none;
        border: none;
        align-items: center;
        cursor: pointer;
        text-align: left;
        line-height: theme.$lineHeightHeading;
        font-weight: theme.$fontWeightBold;
        font-size: theme.$fontSizeLarge;
        margin: 0;
        border-top: 1px solid theme.$colorPaletteGray700;
        padding: 1rem 0;
        justify-content: space-between;

        .icon-prefix {
            margin-right: theme.$spacing03;
            fill: theme.$colorTextLabel;
        }

        .icon-collapsible {
            transition: 300ms ease-in-out;
            display: inline-block;
            margin-right: theme.$spacing03;
            fill: theme.$colorText;
            flex-grow: 0;
        }

        .amount {
            color: theme.$colorTextLabel;
            font-weight: theme.$fontWeightRegular;

            &:before {
                content: '·';
                padding: 0 theme.$spacing03;
            }
        }
    }


    &__content {
        padding-left: 2rem;
    }

    &[open] {
        margin-bottom: 1rem;

        .icon-collapsible {
            transform: rotate(180deg);
        }
    }
}
